package com.yxproject.start.entity;

/**
 * Created by Administrator on 2018/12/18.
 */

import javax.persistence.*;
import java.sql.Time;
import java.util.Date;
import java.util.Objects;


@Entity
@Table(name = "TYPE_LIST", schema = "DAHAI")
public class TypeListEntity {
    private long typeCode;
    private long typeCount;
    private String typeName;

    @Id
    @Column(name = "typeCode", nullable = false, precision = 0)
    public long getTypeCode() {
        return typeCode;
    }
    public void setTypeCode(long typeCode) {
        this.typeCode = typeCode;
    }

    @Basic
    @Column(name = "typeCount", nullable = true, precision = 0)
    public long getTypeCount() {
        return typeCount;
    }
    public void setTypeCount(long typeCount) {
        this.typeCount = typeCount;
    }

    @Basic
    @Column(name = "typeName", nullable = true, precision = 0)
    public String getTypeName() {
        return typeName;
    }
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TypeListEntity that = (TypeListEntity) o;
        return typeCode == that.typeCode &&
                typeCount == that.typeCount &&
                Objects.equals(typeName, that.typeName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(typeCode, typeCount, typeName);
    }



}
